# Xapian::AssertionError Class Reference

AssertionError is thrown if a logical assertion inside Xapian fails. More...

Inheritance diagram for Xapian::AssertionError:

[legend]

List of all members.

## Public Member Functions

| AssertionError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor.
| AssertionError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

AssertionError is thrown if a logical assertion inside Xapian fails.

In a debug build of Xapian, a failed assertion in the core library code will cause AssertionError to be thrown.

This represents a bug in Xapian (either an invariant, precondition, etc has been violated, or the assertion is incorrect!)

## Constructor & Destructor Documentation

Xapian::AssertionError::AssertionError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor.

Parameters:

  | msg_ | Message giving details of the error, intended for human consumption.
  | context_ | Optional context information for this error.
  | errno_ | Optional errno value associated with this error.

Xapian::AssertionError::AssertionError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

Parameters:

  | msg_ | Message giving details of the error, intended for human consumption.
  | errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h